:root {
    --color-base: #ffffff;
    --color-principal: #333333;
    --color-secundario: #009966;
    --color-terciario: #f5f5f5;
    --nombre: 55px;
    --titulo: 40px;
    --subtitulo: 20px;
    --parrafo: 14px;
  }

  * {
      margin: 0;
      padding: 0;
  }

  body {
	font-family: "Century Gothic", "Josefin Sans", sans-serif;
	font-size: var(--parrafo);
	line-height: 17px;
	color: var(--color-principal);
	background-color: var(--color-base);
}

p {
	font-size: var(--parrafo);
	line-height: 17px;
	color: var(--color-principal);
}

h1 {
	font-family: "Impact", "Anton", sans-serif;
	font-size: var(--nombre);
	color: var(--color-principal);
	border-bottom: 1px solid var(--color-secundario);
	padding-bottom: 9px;
}

h2 {
	font-family: "Impact", "Anton", sans-serif;
	font-size: var(--titulo);
	color: var(--color-secundario);
	border-bottom: 1px solid var(--color-principal);
	padding-bottom: 9px;
	margin-bottom: 20px;
}

h3 {
	font-weight: bold;
  	font-size: var(--subtitulo);
  	color: var(--color-principal);
}

a {
  	color: var(--color-secundario);
}

a:hover, a:focus {
	color: var(--color-principal);
	text-decoration: none;
}

i {
    font-style: italic;
    font-weight: normal;
}

.head {
	background-color: var(--color-secundario);
	padding: 0;
	border: none;
	border-radius: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
}

.foot {
	background-color: var(--color-principal);
	border: none;
	border-radius: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
}

.well {
	padding: 20px;
	margin: 0;
	border: none;
	border-radius: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
}

.thumbnail {
	padding: 0;
	border: 0;
    border-radius: 0;
}

.thumbnail > img {
	border-radius: 10px;
}

.navbar-default .navbar-nav > li > a {
	border-radius: 0;
  	color: var(--color-base);
}

.navbar-default .navbar-nav > li > a:hover, .navbar-default .navbar-nav > li > a:focus {
	color: var(--color-secundario);
    background-color: var(--color-base);
    text-decoration: none;
}

.navbar-brand {
	padding: 8px 15px;
	height: auto;
}

.navbar-default .navbar-toggle {
    border-color: var(--color-base);
}

.navbar-default .navbar-toggle:hover, .navbar-default .navbar-toggle:focus {
    background-color: var(--color-base);
}

.navbar-default .navbar-toggle .icon-bar {
    background-color: var(--color-base);
}

.glyphicon {
	padding: 0 10px 0 0;
}

.form-control {
	background-color: var(--color-secundario);
	color: var(--color-base);
	line-height: 17px;
	border: 1px solid var(--color-secundario);
	border-radius: 5px;
	-webkit-box-shadow: none;
    box-shadow: none;
    -webkit-transition: none;
    transition: none;
}

.form-control:hover, .form-control:focus {
	background-color: var(--color-base);
	color: var(--color-secundario);
	border: 1px solid var(--color-secundario);
    outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn:focus {
	outline: none;
}

.btn:active:focus {
	outline: none;
}

.btn-default {
	color: var(--color-base);
    background-color: var(--color-principal);
    border-color: var(--color-principal);
    height: 45px;
}

.btn-default:hover, .btn-default:focus {
	color: var(--color-principal);
    background-color: var(--color-base);
    border-color: var(--color-principal);
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-default:active:hover, .btn-default:active:focus {
	color: var(--color-principal);
    background-color: var(--color-base);
    border-color: var(--color-principal);
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-primary {
	color: var(--color-base);
    background-color: var(--color-secundario);
    border-color: var(--color-secundario);
    height: 45px;
}

.btn-primary:hover, .btn-primary:focus {
	color: var(--color-base);
    background-color: var(--color-principal);
    border-color: var(--color-principal);
    -webkit-box-shadow: none;
    box-shadow: none;
}

.btn-primary:active:hover, .btn-primary:active:focus {
	color: var(--color-base);
    background-color: var(--color-principal);
    border-color: var(--color-principal);
    -webkit-box-shadow: none;
    box-shadow: none;
}

textarea::-webkit-input-placeholder { color: var(--color-base) !important;}
textarea:-moz-placeholder { color: var(--color-base) !important;}
textarea::-moz-placeholder { color: var(--color-base) !important;}
textarea:-ms-input-placeholder { color: var(--color-base) !important;}
input::-webkit-input-placeholder { color: var(--color-base) !important;}
input:-moz-placeholder { color: var(--color-base) !important;}
input::-moz-placeholder { color: var(--color-base) !important;}
input:-ms-input-placeholder { color: var(--color-base) !important;}

textarea:hover::-webkit-input-placeholder { color: var(--color-secundario) !important;}
textarea:hover:-moz-placeholder { color: var(--color-secundario) !important;}
textarea:hover::-moz-placeholder { color: var(--color-secundario) !important;}
textarea:hover:-ms-input-placeholder { color: var(--color-secundario) !important;}
input:hover::-webkit-input-placeholder { color: var(--color-secundario) !important;}
input:hover:-moz-placeholder { color: var(--color-secundario) !important;}
input:hover::-moz-placeholder { color: var(--color-secundario) !important;}
input:hover:-ms-input-placeholder { color: var(--color-secundario) !important;}

.si-margen {
	margin-top: 80px;
}

.logo {
	width: 77px;
}

.color {
	color: var(--color-secundario);
}

.color1 {
	color: var(--color-secundario);
	font-weight: normal;
}

.color2 {
	color: var(--color-base);
}

.margen {
	margin-bottom: 0;
}

.no-margen {
	margin-top: 0;
}

.no-margen-1 {
	margin-bottom: 0;
}

.well > .margen {
	margin-bottom: 0;
}

.bloque-linea{
	padding-bottom: 9px;
	margin: 0;
	border-bottom: 1px solid #e5e5e5;
}

.barra-abajo {
	margin-bottom: 10px;
    padding: 0;
    width: 100%;
    border: none;
    border-radius: 5px;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-color: var(--color-terciario);
    min-height: 20px;
}

.barra-arriba-1 {
    margin: 0;
    padding: 10px;
    background-color: var(--color-secundario);
    border: none;
    border-radius: 5px 0 0 5px;
    -webkit-box-shadow: none;
    box-shadow: none;
    min-height: 20px;
}

.barra-arriba-2 {
    margin: 0;
    padding: 10px;
    background-color: var(--color-principal);
    border: none;
    border-radius: 5px 0 0 5px;
    -webkit-box-shadow: none;
    box-shadow: none;
    min-height: 20px;
}

.barra-texto {
	color: var(--color-base);
	margin: 0;
}

.margen-hobbie {
	padding: 10%;
	margin: auto;
}

.margen-proyecto {
	padding: 5%;
	width: 60%;
}

.proyecto {
	background-color: var(--color-secundario);
    padding: 25px;
    border-radius: 10px;
    opacity: 0.9;
    position: absolute;
    min-height: 100%;
    visibility: hidden;
}

.imagen2:hover .proyecto, .imagen2:focus .proyecto {
	visibility: visible;
}

.imagen {
	padding: 0;
	border: 0;
    border-radius: 0;
    border-radius: 10px;
    margin: 0 auto;
}

.imagen2 {
	padding: 0;
	border: 0;
    border-radius: 0;
    border-radius: 10px;
	width: 100%;
}

.margen-img {
	margin-bottom: 25px;
}

.hobbie {
	padding: 5% 7%;
	background-color: var(--color-secundario);
	border: 0;
	border-radius: 5px;
	display: block;
	width: 100%;
	align-items: flex-start;
    text-align: center;
}

.centrado {
	text-align: center;
}

.centrado img {
	display: inline !important;
}

.redes {
	width: 30px;
	margin: auto;
}

#inicio {
	padding: 80px 0 35px 0;
}

#perfil, #educacion, #experiencia, #habilidades, #hobbies, #portafolio, #contacto {
	padding: 50px 0;
}

.regalo:hover, .regalo:focus {
	color: var(--color-secundario);
	text-decoration: underline;
}

@media (min-width: 1px) {
	:root {
		--margen: 20px;
	}
	.proyecto {
		opacity: 0.75;
		visibility: visible;
		border-radius: 0;
		margin: 0 auto;
		left: 50%;
		transform: translate(-50%, 0);
	}
	.si-margen {
	margin-top: 80px;
	}
	.margen-arriba {
		margin-top: var(--margen);
	}
	.margen-abajo {
		margin-bottom: var(--margen);
	}
	.margen-proyecto {
	    margin-top: 80%;
	}
	.hobbie {
		margin-bottom: var(--margen);
	}
	.margen-hobbie {
		margin-top: 10%;
	}
	.anula-margen {
		margin-top: var(--margen);
	}
	#inicio {
	padding: 80px 0 35px 0;
}

#perfil, #educacion, #experiencia, #habilidades, #hobbies, #portafolio, #contacto {
	padding: 50px 0;
}
}

@media (min-width: 768px) {
	:root {
		--margen-nulo: 0;
	}

	.navbar-nav {
		font-size: 12px;
	}
	.si-margen {
		margin-top: 130px;
	}
	h1 {
		margin-top: 30px;
	}
	.margen-abajo {
		margin-bottom: var(--margen-nulo);
	}
	.margen-hobbie {
		margin-top: var(--margen-nulo);
	}
	#inicio {
	padding: 130px 0 35px 0;
}

#perfil, #educacion, #experiencia, #habilidades, #hobbies, #portafolio, #contacto {
	padding: 100px 0;
}
}

@media (min-width: 992px) {
	:root {
		--margen-nulo: 0;
	}
	.proyecto {
		width: 293.328px;
		border-radius: 10px;
		opacity: 0.9;
		visibility: hidden;
	}
	.navbar-nav {
		font-size: 14px;
	}
	.si-margen {
		margin-top: 80px;
	}
	.margen-arriba {
		margin-top: var(--margen-nulo);
	}
	.anula-margen {
		margin-top: var(--margen-nulo);
	}
	h1 {
		margin-top: 10px;
	}
	.hobbie {
		margin-bottom: var(--margen-nulo);
	}
	.margen-proyecto {
	    margin-top: var(--margen-nulo);
	}
	#inicio {
	padding: 80px 0 35px 0;
}

#perfil, #educacion, #experiencia, #habilidades, #hobbies, #portafolio, #contacto {
	padding: 50px 0;
}
}

@media (min-width: 1200px) {
	:root {
		--margen: 20px;
	}
	.proyecto {
		width: 360px;
	}
	h1 {
		margin-top: var(--margen);
	}
}

.filtro-elementos li {
	height: auto;
}

.filtro-elementos .activo {
	background-color: var(--color-principal);
    border-color: var(--color-principal);
	color: var(--color-base);
}

.filtro {
	
}